> ## Documentation Index
> Fetch the complete documentation index at: https://docs.felixfusion.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# API quickstart

> Make your first requests against the FelixFusion public API.

## Choose a base URL

Use the public API for all routes documented in this tab:

`https://api.felixfusion.ai`

## 1. Check health

```bash theme={null}
curl https://api.felixfusion.ai/health
```

## 2. List datasets from the public API

```bash theme={null}
curl "https://api.felixfusion.ai/v1/datasets?source=ercot"
```

## 3. List ERCOT pricing locations

```bash theme={null}
curl "https://api.felixfusion.ai/v1/pricing_locations?isos=ercot"
```

## 4. Read API usage metadata

```bash theme={null}
curl "https://api.felixfusion.ai/v1/api_usage"
```

## 5. Read a daily peak report

```bash theme={null}
curl "https://api.felixfusion.ai/v1/reports/daily_peak/ercot?date=2026-05-18"
```

## Authentication example

If your public API deployment uses API keys, send one of these forms:

```bash theme={null}
curl -H "x-api-key: YOUR_API_KEY" https://api.felixfusion.ai/v1/datasets
```

```bash theme={null}
curl "https://api.felixfusion.ai/v1/datasets?api_key=YOUR_API_KEY"
```
